Part Cubo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 75% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Siguiente: Cilindro Part Cylinder.svg Arrow-right.svg

Part Box.svg Part Cubo

Ubicación en el Menú
Pieza → Primitivas → Cubo
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part Crear primitivas

Descripción

El comando Cubo del Banco de trabajo Part inserta un rectangular cuboid, que es una forma primitiva geométrica paramétrica, en el documento activo. Por defecto, el comando Cubo insertará un cubo de 10x10x10 mm, posicionado en el origen, con el nombre "Cubo". Estos parámetros pueden ser modificados tras la creación del objeto.

Part_Box

Uso

  1. Ir a Workbench Part.svg Banco de trabajo Part
  2. Hay varias maneras de invocar al comando:
    • Presionando el botón Part Box.svg Cubo en la barra de herramientas.
    • Seleccionar Pieza → Primitivas → Part Box.svg Cubo desde la barra de menú.

Resultado: El resultado por defecto es un cubo de la misma longitud, anchura y altura de 10 mm. Está unido al plano global XY y una arista es coincidente con el eje global Z.


Las propiedades del Cubo pueden ser editadas posteriormente, bien desde el editor de propiedades, o bien pinchando con doble clic de ratón sobre la pestaña Modelo del árbol de dependencias.

Propiedades

Base

  • DATOSPlacement o Emplazamiento: Especifica la orientación y la posición del Cubo en el espacio 3D. Ver Placement. El punto de referencia es la esquina frontal inferior izquierda del cubo.
  • DATOSLabel o Etiqueta: Nombre dado al objeto Cubo. Puede ser cambiado si es conveniente.

Box

  • DATOSLength o Longitud: Dimensiones del Cubo en la dirección X.
  • DATOSWidth o Anchura: Dimensiones del Cubo en la dirección Y.
  • DATOSHeight o Altura: Dimensiones del Cubo en la dirección Z.

Part_Box-Properties

Programación

El comando Box (Cubo) puede ser usado en las macros y desde la consola de Python usando la siguiente función:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Donde "myBox" es el nombre del objeto Cubo.
  • Devuelve un nuevo objeto creado de tipo Cubo.

Se puede acceder y modificar los atributos del objeto Box(Cubo). Por ejemplo, si se desean modificar los atributos de longitud, anchura o altura:

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Se puede cambiar su emplazamiento con:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))


FreeCAD.png
Siguiente: Cilindro Part Cylinder.svg Arrow-right.svg